# Stacks methods

- [stx\_transferStx](https://leather.gitbook.io/developers/stacks-methods/stx_transferstx.md): Request a transfer of STX tokens to a specified recipient.
- [stx\_signTransaction](https://leather.gitbook.io/developers/stacks-methods/stx_signtransaction.md): Request the signature of a Stacks transaction
- [stx\_signMessage](https://leather.gitbook.io/developers/stacks-methods/stx_signmessage.md): Request the signature of an arbitrary message with the Stacks address of an account
- [stx\_signStructuredMessage](https://leather.gitbook.io/developers/stacks-methods/stx_signstructuredmessage.md): Request the signature of a structured message using the Stacks address of an account.
- [stx\_callContract](https://leather.gitbook.io/developers/stacks-methods/stx_callcontract.md): Wrapper method for \`stx\_signTransaction\` that calls a Stacks contract
- [stx\_deployContract](https://leather.gitbook.io/developers/stacks-methods/stx_deploycontract.md): Deploy a Clarity smart contract on the Stacks blockchain.
- [Stacks libraries](https://leather.gitbook.io/developers/stacks-methods/stacks-libraries.md): Execute smart contracts and transfer assets on the Stacks blockchain


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://leather.gitbook.io/developers/stacks-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
